#ifndef NONBLOCKEDINPUT_H
#define NONBLOCKEDINPUT_H

#include <QTextStream>
#include <QDebug>
#include <QThread>

class NonBlockedInput : public QObject
{
    Q_OBJECT

public:
    explicit NonBlockedInput(QObject* parent = nullptr);

private:
    QThread thread;

signals:
    void LineIsRead(QString line);
private slots:
    void ReadLine();
};

#endif // NONBLOCKEDINPUT_H
